package com.kingdee.eas.custom.dormitorysystem.waterpower;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.dormitorysystem.waterpower.app.*;
import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.shr.base.syssetting.SHRBaseItem;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public class WaterPowerPricing extends SHRBaseItem implements IWaterPowerPricing
{
    public WaterPowerPricing()
    {
        super();
        registerInterface(IWaterPowerPricing.class, this);
    }
    public WaterPowerPricing(Context ctx)
    {
        super(ctx);
        registerInterface(IWaterPowerPricing.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("5DB319FD");
    }
    private WaterPowerPricingController getController() throws BOSException
    {
        return (WaterPowerPricingController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WaterPowerPricingInfo getWaterPowerPricingInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterPowerPricingInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WaterPowerPricingInfo getWaterPowerPricingInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterPowerPricingInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WaterPowerPricingInfo getWaterPowerPricingInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterPowerPricingInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WaterPowerPricingCollection getWaterPowerPricingCollection() throws BOSException
    {
        try {
            return getController().getWaterPowerPricingCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WaterPowerPricingCollection getWaterPowerPricingCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWaterPowerPricingCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WaterPowerPricingCollection getWaterPowerPricingCollection(String oql) throws BOSException
    {
        try {
            return getController().getWaterPowerPricingCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}